CVE-2004-2039
CVSS5.0
发布时间 :2004-05-29 00:00:00
修订时间 :2016-10-17 23:05:20
NMCO    

[原文]e107 0.615 allows remote attackers to obtain sensitive information via a direct request to (1) alt_news.php, (2) backend_menu.php, (3) clock_menu.php, (4) counter_menu.php, (5) login_menu.php, and other files, which reveal the full path in a PHP error message.


[CNNVD]e107 Website System多个安全漏洞(CNNVD-200405-068)

        
        e107 Website系统是一款网站构架/内容管理系统。
        e107 Website系统存在多个输入验证错误问题,远程攻击者可以利用这些漏洞获得敏感信息或更改数据库信息。
        由于没有对用户提交的URI数据缺少充分过滤,攻击者可以进行路径泄露,跨站脚本执行,文件包含,SQL注入等攻击,导致敏感信息泄露,或直接修改数据库数据。
        

- CVSS (基础分值)

CVSS分值: 5 [中等(MEDIUM)]
机密性影响: [--]
完整性影响: [--]
可用性影响: [--]
攻击复杂度: [--]
攻击向量: [--]
身份认证: [--]

- CPE (受影响的平台与产品)

cpe:/a:e107:e107:0.6_15a
cpe:/a:e107:e107:0.6_15

- OVAL (用于检测的技术细节)

未找到相关OVAL定义

- 官方数据库链接

http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2004-2039
(官方数据源) MITRE
http://web.nvd.nist.gov/view/vuln/detail?vulnId=CVE-2004-2039
(官方数据源) NVD
http://www.cnnvd.org.cn/vulnerability/show/cv_cnnvdid/CNNVD-200405-068
(官方数据源) CNNVD

- 其它链接及资源

http://marc.info/?l=bugtraq&m=108588043007224&w=2
(UNKNOWN)  BUGTRAQ  20040529 [waraxe-2004-SA#031 - Multiple vulnerabilities in e107 version 0.615]
http://marc.info/?l=full-disclosure&m=108586723116427&w=2
(UNKNOWN)  FULLDISC  20040529 [waraxe-2004-SA#031 - Multiple vulnerabilities in e107 version 0.615]
http://www.securityfocus.com/bid/10436
(UNKNOWN)  BID  10436
http://www.waraxe.us/index.php?modname=sa&id=31
(VENDOR_ADVISORY)  MISC  http://www.waraxe.us/index.php?modname=sa&id=31
http://xforce.iss.net/xforce/xfdb/16277
(VENDOR_ADVISORY)  XF  e107-multiplescripts-path-disclosure(16277)

- 漏洞信息

e107 Website System多个安全漏洞
中危 输入验证
2004-05-29 00:00:00 2005-10-20 00:00:00
远程  
        
        e107 Website系统是一款网站构架/内容管理系统。
        e107 Website系统存在多个输入验证错误问题,远程攻击者可以利用这些漏洞获得敏感信息或更改数据库信息。
        由于没有对用户提交的URI数据缺少充分过滤,攻击者可以进行路径泄露,跨站脚本执行,文件包含,SQL注入等攻击,导致敏感信息泄露,或直接修改数据库数据。
        

- 公告与补丁

        厂商补丁:
        e107.org
        --------
        目前厂商已经发布了升级补丁以修复这个安全问题,请到厂商的主页下载:
        e107 Upgrade e107 Website System 0.616
        
        http://e107.org/download.php?view.50

- 漏洞信息

6525
e107 Multiple Menu Path Disclosure
Remote / Network Access Information Disclosure
Loss of Confidentiality
Exploit Public

- 漏洞描述

e107 contains a flaw that may lead to an unauthorized information disclosure. The issue is triggered when scripts are accessed directly and generate a PHP error, which will disclose the full path of the requested script resulting in a loss of confidentiality.

- 时间线

2004-05-29 2004-05-29
2004-05-29 Unknow

- 解决方案

Upgrade to version 0.616 or higher, as it has been reported to fix this vulnerability. An upgrade is required as there are no known workarounds.

- 相关参考

- 漏洞作者

 

 

关于SCAP中文社区

SCAP中文社区是国内第一个以SCAP为主题的中文开放社区。了解更多信息,请查阅[关于本站]

版权声明

CVE/CWE/OVAL均为MITRE公司的注册商标,它们的官方数据源均保存在MITRE公司的相关网站